--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -32,11 +32,6 @@
 pkg_get_variable(PLUGIN_PRIVATE_MODULE_DIR LomiriSystemSettings plugin_private_module_dir)
 pkg_get_variable(PLUGIN_QML_DIR LomiriSystemSettings plugin_qml_dir)
 
-pkg_check_modules(AptPkg
-    REQUIRED IMPORTED_TARGET
-    apt-pkg
-)
-
 add_subdirectory(plugins/system-update)
 add_subdirectory(push-helper)
 
